Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Class ModulePortFwd

    java.lang.Object
      com.mindbright.application.ModulePortFwd

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, MindTermModule

public class ModulePortFwd
extends java.lang.Object
implements MindTermModule, java.awt.event.ActionListener

Constructor Summary
`ModulePortFwd()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `activate(MindTermApp mindterm)`
`void` | `connected(MindTermApp mindterm)`
`java.lang.String` | `description(MindTermApp mindterm)`
`void` | `disconnected(MindTermApp mindterm)`
`void` | `init(MindTermApp mindterm)`
`boolean` | `isAvailable(MindTermApp mindterm)`
`void` | `newLocalForward(MindTermApp mindterm, java.lang.String fwdSpec)`
`void` | `newRemoteForward(MindTermApp mindterm, java.lang.String fwdSpec)`
`static java.lang.Object[]` | `parseForwardSpec(java.lang.String spec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModulePortFwd

    public ModulePortFwd()

Method Detail

### init

    public void init(MindTermApp mindterm)

  Specified by:
    `init` in interface `MindTermModule`

### activate

    public void activate(MindTermApp mindterm)

  Specified by:
    `activate` in interface `MindTermModule`

### isAvailable

    public boolean isAvailable(MindTermApp mindterm)

  Specified by:
    `isAvailable` in interface `MindTermModule`

### connected

    public void connected(MindTermApp mindterm)

  Specified by:
    `connected` in interface `MindTermModule`

### disconnected

    public void disconnected(MindTermApp mindterm)

  Specified by:
    `disconnected` in interface `MindTermModule`

### description

    public java.lang.String description(MindTermApp mindterm)

  Specified by:
    `description` in interface `MindTermModule`

### newLocalForward

    public void newLocalForward(MindTermApp mindterm,
                                java.lang.String fwdSpec)
                         throws java.io.IOException,
                                java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### newRemoteForward

    public void newRemoteForward(MindTermApp mindterm,
                                 java.lang.String fwdSpec)
                          throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### parseForwardSpec

    public static java.lang.Object[] parseForwardSpec(java.lang.String spec)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD